be.vlaanderen.mercurius.vsb.common.v2

## Class ErrorType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb.common.v2.ErrorType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:25:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class ErrorType
      extends Object
      implements Serializable

  used: Common.xsd (Errors)

  Java class for ErrorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ErrorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Field" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="KeyValuePair" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}KeyValuePairType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Translation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="FirstNotification" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getField()` Gets the value of the field property.
    `List<KeyValuePairType>` | `getKeyValuePairs()` Gets the value of the keyValuePairs property.
    `String` | `getTranslation()` Gets the value of the translation property.
    `String` | `getType()` Gets the value of the type property.
    `boolean` | `isFirstNotification()` Gets the value of the firstNotification property.
    `void` | `setField(String value)` Sets the value of the field property.
    `void` | `setFirstNotification(boolean value)` Sets the value of the firstNotification property.
    `void` | `setTranslation(String value)` Sets the value of the translation property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorType

          public ErrorType()

  - ### Method Detail

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getField

          public String getField()

      Gets the value of the field property.
      Returns:
        possible object is `String`

    - #### setField

          public void setField(String value)

      Sets the value of the field property.
      Parameters:
        `value` - allowed object is `String`

    - #### getKeyValuePairs

          public List<KeyValuePairType> getKeyValuePairs()

      Gets the value of the keyValuePairs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the keyValuePairs property.

      For example, to add a new item, do as follows:

              getKeyValuePairs().add(newItem);

      Objects of the following type(s) are allowed in the list `KeyValuePairType`

    - #### getTranslation

          public String getTranslation()

      Gets the value of the translation property.
      Returns:
        possible object is `String`

    - #### setTranslation

          public void setTranslation(String value)

      Sets the value of the translation property.
      Parameters:
        `value` - allowed object is `String`

    - #### isFirstNotification

          public boolean isFirstNotification()

      Gets the value of the firstNotification property.

    - #### setFirstNotification

          public void setFirstNotification(boolean value)

      Sets the value of the firstNotification property.

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.